Gentoo Archives: gentoo-commits

From: "PaweA Hajdan (phajdan.jr)" <phajdan.jr@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in www-client/chromium: ChangeLog chromium-14.0.803.0.ebuild chromium-14.0.794.0.ebuild
Date: Tue, 28 Jun 2011 13:27:19
Message-Id: 20110628132706.6A7E320054@flycatcher.gentoo.org
1 phajdan.jr 11/06/28 13:27:06
2
3 Modified: ChangeLog
4 Added: chromium-14.0.803.0.ebuild
5 Removed: chromium-14.0.794.0.ebuild
6 Log:
7 Version bump for dev channel release. Remove old.
8
9 (Portage version: 2.1.9.42/cvs/Linux i686)
10
11 Revision Changes Path
12 1.392 www-client/chromium/ChangeLog
13
14 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?rev=1.392&view=markup
15 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?rev=1.392&content-type=text/plain
16 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?r1=1.391&r2=1.392
17
18 Index: ChangeLog
19 ===================================================================
20 RCS file: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v
21 retrieving revision 1.391
22 retrieving revision 1.392
23 diff -u -r1.391 -r1.392
24 --- ChangeLog 28 Jun 2011 08:50:15 -0000 1.391
25 +++ ChangeLog 28 Jun 2011 13:27:06 -0000 1.392
26 @@ -1,6 +1,12 @@
27 # ChangeLog for www-client/chromium
28 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
29 -# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.391 2011/06/28 08:50:15 phajdan.jr Exp $
30 +# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.392 2011/06/28 13:27:06 phajdan.jr Exp $
31 +
32 +*chromium-14.0.803.0 (28 Jun 2011)
33 +
34 + 28 Jun 2011; Pawel Hajdan jr <phajdan.jr@g.o>
35 + -chromium-14.0.794.0.ebuild, +chromium-14.0.803.0.ebuild:
36 + Version bump for dev channel release. Remove old.
37
38 28 Jun 2011; Pawel Hajdan jr <phajdan.jr@g.o>
39 +files/chromium-libgcrypt-r0.patch, chromium-13.0.782.32.ebuild:
40
41
42
43 1.1 www-client/chromium/chromium-14.0.803.0.ebuild
44
45 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-14.0.803.0.ebuild?rev=1.1&view=markup
46 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-14.0.803.0.ebuild?rev=1.1&content-type=text/plain
47
48 Index: chromium-14.0.803.0.ebuild
49 ===================================================================
50 # Copyright 1999-2011 Gentoo Foundation
51 # Distributed under the terms of the GNU General Public License v2
52 # $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-14.0.803.0.ebuild,v 1.1 2011/06/28 13:27:06 phajdan.jr Exp $
53
54 EAPI="3"
55 PYTHON_DEPEND="2:2.6"
56
57 inherit eutils fdo-mime flag-o-matic gnome2-utils linux-info multilib \
58 pax-utils portability python toolchain-funcs versionator virtualx
59
60 DESCRIPTION="Open-source version of Google Chrome web browser"
61 HOMEPAGE="http://chromium.org/"
62 SRC_URI="http://build.chromium.org/official/${P}.tar.bz2"
63
64 LICENSE="BSD"
65 SLOT="0"
66 KEYWORDS="~amd64 ~x86"
67 IUSE="cups gnome gnome-keyring kerberos xinerama"
68
69 # en_US is ommitted on purpose from the list below. It must always be available.
70 LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he hi hr
71 hu id it ja kn ko lt lv ml mr nb nl pl pt_BR pt_PT ro ru sk sl sr sv sw ta te th
72 tr uk vi zh_CN zh_TW"
73 for lang in ${LANGS}; do
74 IUSE+=" linguas_${lang}"
75 done
76
77 RDEPEND="app-arch/bzip2
78 dev-libs/dbus-glib
79 >=dev-libs/icu-4.4.1
80 >=dev-libs/libevent-1.4.13
81 dev-libs/libxml2[icu]
82 dev-libs/libxslt
83 >=dev-libs/nss-3.12.3
84 gnome? ( >=gnome-base/gconf-2.24.0 )
85 gnome-keyring? ( >=gnome-base/gnome-keyring-2.28.2 )
86 >=media-libs/alsa-lib-1.0.19
87 media-libs/flac
88 virtual/jpeg
89 media-libs/libpng
90 >=media-libs/libvpx-0.9.5
91 >=media-libs/libwebp-0.1.2
92 media-libs/speex
93 cups? ( >=net-print/cups-1.3.11 )
94 sys-libs/zlib
95 x11-libs/gtk+:2
96 x11-libs/libXScrnSaver
97 x11-libs/libXtst"
98 DEPEND="${RDEPEND}
99 dev-lang/perl
100 dev-lang/yasm
101 >=dev-util/gperf-3.0.3
102 >=dev-util/pkgconfig-0.23
103 sys-devel/flex
104 >=sys-devel/make-3.81-r2
105 x11-libs/libXinerama
106 test? (
107 dev-python/pyftpdlib
108 dev-python/simplejson
109 virtual/krb5
110 )"
111 RDEPEND+="
112 kerberos? ( virtual/krb5 )
113 xinerama? ( x11-libs/libXinerama )
114 x11-misc/xdg-utils
115 virtual/ttf-fonts"
116
117 gyp_use() {
118 if [[ $# -lt 2 ]]; then
119 echo "!!! usage: gyp_use <USEFLAG> <GYPFLAG>" >&2
120 return 1
121 fi
122 if use "$1"; then echo "-D$2=1"; else echo "-D$2=0"; fi
123 }
124
125 egyp() {
126 set -- build/gyp_chromium --depth=. "${@}"
127 echo "${@}" >&2
128 "${@}"
129 }
130
131 # Chromium uses different names for some langs,
132 # return Chromium name corresponding to a Gentoo lang.
133 chromium_lang() {
134 if [[ "$1" == "es_LA" ]]; then
135 echo "es_419"
136 else
137 echo "$1"
138 fi
139 }
140
141 pkg_setup() {
142 CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser"
143
144 # Make sure the build system will use the right tools, bug #340795.
145 tc-export AR CC CXX RANLIB
146
147 # Make sure the build system will use the right python, bug #344367.
148 python_set_active_version 2
149 python_pkg_setup
150
151 # Prevent user problems like bug #348235.
152 eshopts_push -s extglob
153 if is-flagq '-g?(gdb)?([1-9])'; then
154 ewarn "You have enabled debug info (probably have -g or -ggdb in your \$C{,XX}FLAGS)."
155 ewarn "You may experience really long compilation times and/or increased memory usage."
156 ewarn "If compilation fails, please try removing -g{,gdb} before reporting a bug."
157 fi
158 eshopts_pop
159
160 # Warn if the kernel doesn't support features useful for sandboxing,
161 # bug #363907.
162 CONFIG_CHECK="~PID_NS ~NET_NS"
163 check_extra_config
164 }
165
166 src_prepare() {
167 # Make sure we don't use bundled libvpx headers.
168 epatch "${FILESDIR}/${PN}-system-vpx-r4.patch"
169
170 # Fix build without libgcrypt, bug #373079.
171 epatch "${FILESDIR}/${PN}-libgcrypt-r0.patch"
172
173 # Remove most bundled libraries. Some are still needed.
174 find third_party -type f \! -iname '*.gyp*' \
175 \! -path 'third_party/WebKit/*' \
176 \! -path 'third_party/angle/*' \
177 \! -path 'third_party/cacheinvalidation/*' \
178 \! -path 'third_party/cld/*' \
179 \! -path 'third_party/expat/*' \
180 \! -path 'third_party/ffmpeg/*' \
181 \! -path 'third_party/flac/flac.h' \
182 \! -path 'third_party/gpsd/*' \
183 \! -path 'third_party/harfbuzz/*' \
184 \! -path 'third_party/hunspell/*' \
185 \! -path 'third_party/iccjpeg/*' \
186 \! -path 'third_party/launchpad_translations/*' \
187 \! -path 'third_party/leveldb/*' \
188 \! -path 'third_party/libjingle/*' \
189 \! -path 'third_party/libphonenumber/*' \
190 \! -path 'third_party/libvpx/libvpx.h' \
191 \! -path 'third_party/mesa/*' \
192 \! -path 'third_party/modp_b64/*' \
193 \! -path 'third_party/npapi/*' \
194 \! -path 'third_party/openmax/*' \
195 \! -path 'third_party/ots/*' \
196 \! -path 'third_party/protobuf/*' \
197 \! -path 'third_party/skia/*' \
198 \! -path 'third_party/speex/speex.h' \
199 \! -path 'third_party/sqlite/*' \
200 \! -path 'third_party/tcmalloc/*' \
201 \! -path 'third_party/tlslite/*' \
202 \! -path 'third_party/undoview/*' \
203 \! -path 'third_party/zlib/contrib/minizip/*' \
204 -delete || die
205
206 # Make sure the build system will use the right python, bug #344367.
207 # Only convert directories that need it, to save time.
208 python_convert_shebangs -q -r 2 build tools
209 }
210
211 src_configure() {
212 local myconf=""
213
214 # Never tell the build system to "enable" SSE2, it has a few unexpected
215 # additions, bug #336871.
216 myconf+=" -Ddisable_sse2=1"
217
218 # Use system-provided libraries.
219 # TODO: use_system_ffmpeg (bug #71931). That makes yasm unneeded.
220 # TODO: use_system_hunspell (upstream changes needed).
221 # TODO: use_system_ssl (http://crbug.com/58087).
222 # TODO: use_system_sqlite (http://crbug.com/22208).
223 myconf+="
224 -Duse_system_bzip2=1
225 -Duse_system_flac=1
226 -Duse_system_icu=1
227 -Duse_system_libevent=1
228 -Duse_system_libjpeg=1
229 -Duse_system_libpng=1
230 -Duse_system_libwebp=1
231 -Duse_system_libxml=1
232 -Duse_system_speex=1
233 -Duse_system_vpx=1
234 -Duse_system_xdg_utils=1
235 -Duse_system_yasm=1
236 -Duse_system_zlib=1"
237
238 # Optional dependencies.
239 myconf+="
240 $(gyp_use cups use_cups)
241 $(gyp_use gnome use_gconf)
242 $(gyp_use gnome-keyring use_gnome_keyring)
243 $(gyp_use gnome-keyring linux_link_gnome_keyring)"
244
245 # Enable sandbox.
246 myconf+="
247 -Dlinux_sandbox_path=${CHROMIUM_HOME}/chrome_sandbox
248 -Dlinux_sandbox_chrome_path=${CHROMIUM_HOME}/chrome"
249
250 if host-is-pax; then
251 # Prevent the build from failing (bug #301880). The performance
252 # difference is very small.
253 myconf+=" -Dv8_use_snapshot=0"
254 fi
255
256 # Our system ffmpeg should support more codecs than the bundled one
257 # for Chromium.
258 # TODO: uncomment when bug #371931 is fixed.
259 # myconf+=" -Dproprietary_codecs=1"
260
261 local myarch="$(tc-arch)"
262 if [[ $myarch = amd64 ]] ; then
263 myconf+=" -Dtarget_arch=x64"
264 elif [[ $myarch = x86 ]] ; then
265 myconf+=" -Dtarget_arch=ia32"
266 elif [[ $myarch = arm ]] ; then
267 # TODO: check this again after
268 # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39509 is fixed.
269 append-flags -fno-tree-sink
270
271 myconf+=" -Dtarget_arch=arm -Ddisable_nacl=1 -Dlinux_use_tcmalloc=0"
272 else
273 die "Failed to determine target arch, got '$myarch'."
274 fi
275
276 # Make sure that -Werror doesn't get added to CFLAGS by the build system.
277 # Depending on GCC version the warnings are different and we don't want
278 # the build to fail because of that.
279 myconf+=" -Dwerror="
280
281 # Avoid a build error with -Os, bug #352457.
282 replace-flags "-Os" "-O2"
283
284 egyp ${myconf} || die
285 }
286
287 src_compile() {
288 emake chrome chrome_sandbox BUILDTYPE=Release V=1 || die
289 pax-mark m out/Release/chrome
290 if use test; then
291 emake {base,crypto,googleurl,net}_unittests BUILDTYPE=Release V=1 || die
292 pax-mark m out/Release/{base,crypto,googleurl,net}_unittests
293 fi
294 }
295
296 src_test() {
297 # For more info see bug #350349.
298 local mylocale='en_US.utf8'
299 if ! locale -a | grep -q "$mylocale"; then
300 eerror "${PN} requires ${mylocale} locale for tests"
301 eerror "Please read the following guides for more information:"
302 eerror " http://www.gentoo.org/doc/en/guide-localization.xml"
303 eerror " http://www.gentoo.org/doc/en/utf-8.xml"
304 die "locale ${mylocale} is not supported"
305 fi
306
307 # For more info see bug #370957.
308 if [[ $UID -eq 0 ]]; then
309 die "Tests must be run as non-root. Please use FEATURES=userpriv."
310 fi
311
312 # For more info see bug #350347.
313 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/base_unittests virtualmake \
314 '--gtest_filter=-ICUStringConversionsTest.*'
315
316 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/crypto_unittests virtualmake
317 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/googleurl_unittests virtualmake
318
319 # NetUtilTest: bug #361885.
320 # UDP: unstable, active development. We should revisit this later.
321 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/net_unittests virtualmake \
322 '--gtest_filter=-NetUtilTest.IDNToUnicode*:NetUtilTest.FormatUrl*:*UDP*'
323 }
324
325 src_install() {
326 exeinto "${CHROMIUM_HOME}"
327 doexe out/Release/chrome
328 doexe out/Release/chrome_sandbox || die
329 fperms 4755 "${CHROMIUM_HOME}/chrome_sandbox"
330
331 insinto "${CHROMIUM_HOME}"
332 doins out/Release/libppGoogleNaClPluginChrome.so || die
333
334 newexe "${FILESDIR}"/chromium-launcher-r2.sh chromium-launcher.sh || die
335
336 # It is important that we name the target "chromium-browser",
337 # xdg-utils expect it; bug #355517.
338 dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium-browser || die
339 # keep the old symlink around for consistency
340 dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium || die
341
342 # Allow users to override command-line options, bug #357629.
343 dodir /etc/chromium || die
344 insinto /etc/chromium
345 newins "${FILESDIR}/chromium.default" "default" || die
346
347 # Support LINGUAS, bug #332751.
348 local pak
349 for pak in out/Release/locales/*.pak; do
350 local pakbasename="$(basename ${pak})"
351 local pakname="${pakbasename%.pak}"
352 local langname="${pakname//-/_}"
353
354 # Do not issue warning for en_US locale. This is the fallback
355 # locale so it should always be installed.
356 if [[ "${langname}" == "en_US" ]]; then
357 continue
358 fi
359
360 local found=false
361 local lang
362 for lang in ${LANGS}; do
363 local crlang="$(chromium_lang ${lang})"
364 if [[ "${langname}" == "${crlang}" ]]; then
365 found=true
366 break
367 fi
368 done
369 if ! $found; then
370 ewarn "LINGUAS warning: no ${langname} in LANGS"
371 fi
372 done
373 local lang
374 for lang in ${LANGS}; do
375 local crlang="$(chromium_lang ${lang})"
376 local pakfile="out/Release/locales/${crlang//_/-}.pak"
377 if [ ! -f "${pakfile}" ]; then
378 ewarn "LINGUAS warning: no .pak file for ${lang} (${pakfile} not found)"
379 fi
380 if ! use linguas_${lang}; then
381 rm "${pakfile}" || die
382 fi
383 done
384
385 insinto "${CHROMIUM_HOME}"
386 doins out/Release/chrome.pak || die
387 doins out/Release/resources.pak || die
388
389 doins -r out/Release/locales || die
390 doins -r out/Release/resources || die
391
392 newman out/Release/chrome.1 chromium.1 || die
393 newman out/Release/chrome.1 chromium-browser.1 || die
394
395 # Chromium looks for these in its folder
396 # See media_posix.cc and base_paths_linux.cc
397 # TODO: uncomment when bug #371931 is fixed.
398 #dosym /usr/$(get_libdir)/libavcodec.so.52 "${CHROMIUM_HOME}" || die
399 #dosym /usr/$(get_libdir)/libavformat.so.52 "${CHROMIUM_HOME}" || die
400 #dosym /usr/$(get_libdir)/libavutil.so.50 "${CHROMIUM_HOME}" || die
401 doexe out/Release/ffmpegsumo_nolink || die
402 doexe out/Release/libffmpegsumo.so || die
403
404 # Install icons and desktop entry.
405 for SIZE in 16 22 24 32 48 64 128 256 ; do
406 insinto /usr/share/icons/hicolor/${SIZE}x${SIZE}/apps
407 newins chrome/app/theme/chromium/product_logo_${SIZE}.png \
408 chromium-browser.png || die
409 done
410 local mime_types="text/html;text/xml;application/xhtml+xml;"
411 mime_types+="x-scheme-handler/http;x-scheme-handler/https;" # bug #360797
412 make_desktop_entry chromium-browser "Chromium" chromium-browser \
413 "Network;WebBrowser" "MimeType=${mime_types}"
414 sed -e "/^Exec/s/$/ %U/" -i "${D}"/usr/share/applications/*.desktop || die
415
416 # Install GNOME default application entry (bug #303100).
417 if use gnome; then
418 dodir /usr/share/gnome-control-center/default-apps || die
419 insinto /usr/share/gnome-control-center/default-apps
420 doins "${FILESDIR}"/chromium-browser.xml || die
421 fi
422 }
423
424 pkg_preinst() {
425 gnome2_icon_savelist
426 }
427
428 pkg_postinst() {
429 fdo-mime_desktop_database_update
430 gnome2_icon_cache_update
431
432 # For more info see bug #292201, bug #352263, bug #361859.
433 elog
434 elog "Depending on your desktop environment, you may need"
435 elog "to install additional packages to get icons on the Downloads page."
436 elog
437 elog "For KDE, the required package is kde-base/oxygen-icons."
438 elog
439 elog "For other desktop environments, try one of the following:"
440 elog " - x11-themes/gnome-icon-theme"
441 elog " - x11-themes/tango-icon-theme"
442
443 # For more info see bug #359153.
444 elog
445 elog "Some web pages may require additional fonts to display properly."
446 elog "Try installing some of the following packages if some characters"
447 elog "are not displayed properly:"
448 elog " - media-fonts/arphicfonts"
449 elog " - media-fonts/bitstream-cyberbit"
450 elog " - media-fonts/droid"
451 elog " - media-fonts/ipamonafont"
452 elog " - media-fonts/ja-ipafonts"
453 elog " - media-fonts/takao-fonts"
454 elog " - media-fonts/wqy-microhei"
455 elog " - media-fonts/wqy-zenhei"
456 }
457
458 pkg_postrm() {
459 gnome2_icon_cache_update
460 }